import {
  PayoutDetailPage
} from "./chunk-L56WFGUN.js";
import "./chunk-PXYDR7WQ.js";
import "./chunk-E74OUNA3.js";
import "./chunk-H6MYB7GB.js";
import "./chunk-IQPN4PZJ.js";
import "./chunk-INNFZYX2.js";
import {
  payoutsQueryKeys,
  usePayout
} from "./chunk-LAPEZATU.js";
import {
  queryClient
} from "./chunk-RHKRREUU.js";
import "./chunk-ZA2KFUFR.js";
import {
  sdk
} from "./chunk-ZBWL72TB.js";
import "./chunk-NBMM2TZK.js";

// src/pages/payouts/payout-detail/breadcrumb.tsx
import { jsxs } from "react/jsx-runtime";
var PayoutDetailBreadcrumb = (props) => {
  const { id } = props.params || {};
  const { payout } = usePayout(id, void 0, {
    enabled: Boolean(id)
  });
  if (!payout) {
    return null;
  }
  return /* @__PURE__ */ jsxs("span", { children: [
    "#",
    payout.display_id
  ] });
};

// src/pages/payouts/payout-detail/loader.ts
var payoutDetailQuery = (id) => ({
  queryKey: payoutsQueryKeys.detail(id),
  queryFn: async () => sdk.admin.payouts.$id.query({ $id: id })
});
var payoutLoader = async ({ params }) => {
  const id = params.id;
  const query = payoutDetailQuery(id);
  return queryClient.ensureQueryData(query);
};
export {
  PayoutDetailBreadcrumb as Breadcrumb,
  PayoutDetailPage as Component,
  payoutLoader as loader
};
